Subject: Re: *Really* noisy encoding warnings post-v2.33.0

From: Junio C Hamano <[email-masked]>
Date: Fri, 29 Oct 2021 13:45:11 -0700

Jeff King <[email-masked]> writes:

> TBH I am not even sure it is worth spending a lot of brain cells on the
> "and then consider..." part. Over all these years, we've had one report,
> and it simply misunderstand what "--encoding" was for. I thought it was
> something we could fix up easily by checking a return value, but IMHO
> doing it right is quite tricky because of iconv()'s limited interface,
> and the risk of regression outweighs the potential benefit.

I tend to agree with the above.  Let's not over-engineer things.